Nuxa
Api referenceToolsApiToolsFleksaSelect payment method

POST /api/tools/fleksa/select-payment-method

POST
/api/tools/fleksa/select-payment-method

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Request Body

application/json

shopId*string
sessionId*string
selectedMethod?string
Value in"cash" | "stripe" | "paypal" | "non_cash"
tipAmount?number
tipPercentage?number
tipType?string
Value in"percentage" | "fixed"
language?string
Default"de"
timezone?string
Default"Europe/Berlin"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.nuxa.ai/api/tools/fleksa/select-payment-method" \  -H "Content-Type: application/json" \  -d '{    "shopId": "string",    "sessionId": "string"  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}